"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorHandlerProvider = exports.ErrorHandlerContext = void 0;
const react_1 = __importStar(require("react"));
const utils_1 = require("../utils");
exports.ErrorHandlerContext = (0, react_1.createContext)({});
const ErrorHandlerProvider = ({ children, onError = (error) => console.log(error), }) => {
    const sentErrors = new Set();
    const handleErrors = (0, react_1.useCallback)((...errors) => __awaiter(void 0, void 0, void 0, function* () {
        const actualErrors = [...new Set(errors.filter(utils_1.truthy))].filter((e) => !sentErrors.has(e));
        actualErrors.forEach(sentErrors.add.bind(sentErrors));
        actualErrors.map(onError);
    }), [onError]);
    return (react_1.default.createElement(exports.ErrorHandlerContext.Provider, { value: {
            handleErrors,
        } }, children));
};
exports.ErrorHandlerProvider = ErrorHandlerProvider;
//# sourceMappingURL=errorHandlerContext.js.map